POST · Checkout API
POST
POST
/api/v1/clients/{clientId}/tokensCreates a new short-lived access token.
The newly issued access token can be used immediately to access resource endpoints.
Once an access token has expired after
10minutes, all requests to our API will return a401 Unauthorizederror code. Please make sure that the client requests a new access token as soon as it receives this error response.
Parameter
clientIdguidErforderlichthe unique identifier of the client.
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationApiKey <apiKey>Idempotency-Key<idempotencyKey>Security-Token<securityToken>Timestamp<timestamp>Originaler Blueprint-Ausschnitt
API Blueprint
### POST [POST]
Creates a new short-lived access token.
+ The newly issued access token can be used immediately to access resource endpoints.
+ Once an access token has expired after `10` minutes, all requests to our API will return a `401 Unauthorized` error code. Please make sure that the client requests a new access token as soon as it receives this error response.
+ Parameters
+ clientId (guid, required) - the unique identifier of the client.
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: ApiKey <apiKey>
Idempotency-Key: <idempotencyKey>
Security-Token: <securityToken>
Timestamp: <timestamp>
+ Response 200 (application/json; charset=utf-8)
+ Attributes
+ token: `5ryYz0Jxo3NR5ZISaFHWuZ3ueZiEsM` (string, required) - The actual access token.
+ expirationTimestamp: `2025-11-18T17:50:21.517Z` (string, required) - The expiration date and time of the access token in UTC.
+ Body
{
"token": "5ryYz0Jxo3NR5ZISaFHWuZ3ueZiEsM",
"expirationTimestamp": "2025-11-18T17:50:21.517Z"
}
+ Schema
{
"type": "object",
"properties": {
"token": {
"type": "string"
},
"expirationTimestamp": {
"type": "string",
"format": "date-time"
}
}
}